package com.szpg.db.data;

import java.util.Date;

import com.szpg.util.TimeFormat;

public class PgAlarm implements java.io.Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -7798981942866149656L;
	
	private Integer id;
	private Integer active;
	private Date alarm_date;
	private String alarm_value;
	private String description;
	private Integer alarmdevid;
	private Integer alarmtypeid;
	private Integer userid;
	
	public static Integer ALARM_TYPE_DEVRUN = 1; //管廊设备运行故障
	public static Integer ALARM_TYPE_PGRUN = 2; //管廊运行环境报警
	public static Integer ALARM_TYPE_PGSAF = 3; //管廊安全防范报警
	public static Integer ALARM_TYPE_INPG = 4; //人员入廊超时报警

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getActive() {
		return active;
	}

	public void setActive(Integer active) {
		this.active = active;
	}

	public Date getAlarm_date() {
		return alarm_date;
	}

	public void setAlarm_date(Date alarm_date) {
		this.alarm_date = alarm_date;
	}

	public String getAlarm_value() {
		return alarm_value;
	}

	public void setAlarm_value(String alarm_value) {
		this.alarm_value = alarm_value;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Integer getAlarmdevid() {
		return alarmdevid;
	}

	public void setAlarmdevid(Integer alarmdevid) {
		this.alarmdevid = alarmdevid;
	}

	public Integer getAlarmtypeid() {
		return alarmtypeid;
	}

	public void setAlarmtypeid(Integer alarmtypeid) {
		this.alarmtypeid = alarmtypeid;
	}

	public Integer getUserid() {
		return userid;
	}

	public void setUserid(Integer userid) {
		this.userid = userid;
	}
	
	@Override
	public String toString() {
		return "PgAlarm[alarmValue=" + alarm_value + ", alarmDate=" + TimeFormat.formatTimestamp(alarm_date) + ", alarmDevId= " + alarmdevid + "]";
	}

}
